org.apache.hadoop.mapreduce.v2.hs

## Class HistoryFileManager.HistoryFileInfo

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.hs.HistoryFileManager.HistoryFileInfo

- Enclosing class:
    HistoryFileManager

      public class HistoryFileManager.HistoryFileInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HistoryFileInfo(org.apache.hadoop.fs.Path historyFile, org.apache.hadoop.fs.Path confFile, org.apache.hadoop.fs.Path summaryFile, org.apache.hadoop.mapreduce.v2.jobhistory.JobIndexInfo jobIndexInfo, boolean isInDone)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `delete()`
    `org.apache.hadoop.fs.Path` | `getConfFile()`
    `org.apache.hadoop.fs.Path` | `getHistoryFile()` Return the history file.
    `org.apache.hadoop.mapreduce.v2.api.records.JobId` | `getJobId()`
    `org.apache.hadoop.mapreduce.v2.jobhistory.JobIndexInfo` | `getJobIndexInfo()`
    `boolean` | `isDeleted()`
    `org.apache.hadoop.conf.Configuration` | `loadConfFile()`
    `org.apache.hadoop.mapreduce.v2.app.job.Job` | `loadJob()` Parse a job from the JobHistoryFile, if the underlying file is not going to be deleted and the number of tasks associated with the job is not greater than maxTasksForLoadedJob.
    `String` | `toString()`
    `void` | `waitUntilMoved()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoryFileInfo

          protected HistoryFileInfo(org.apache.hadoop.fs.Path historyFile,
                                    org.apache.hadoop.fs.Path confFile,
                                    org.apache.hadoop.fs.Path summaryFile,
                                    org.apache.hadoop.mapreduce.v2.jobhistory.JobIndexInfo jobIndexInfo,
                                    boolean isInDone)

  - ### Method Detail

    - #### isDeleted

          public boolean isDeleted()

      Returns:
        true if the files backed by this were deleted.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### loadJob

          public org.apache.hadoop.mapreduce.v2.app.job.Job loadJob()
                                                             throws IOException

      Parse a job from the JobHistoryFile, if the underlying file is not going to be deleted and the number of tasks associated with the job is not greater than maxTasksForLoadedJob.
      Returns:
        null if the underlying job history file was deleted, or an `UnparsedJob` object representing a partially parsed job if the job tasks exceeds the configured maximum, or a `CompletedJob` representing a fully parsed job.
      Throws:
        `IOException` - if there is an error trying to read the file if parsed.

    - #### getHistoryFile

          public org.apache.hadoop.fs.Path getHistoryFile()

      Return the history file.
      Returns:
        the history file.

    - #### delete

          protected void delete()
                         throws IOException

      Throws:
        `IOException`

    - #### getJobIndexInfo

          public org.apache.hadoop.mapreduce.v2.jobhistory.JobIndexInfo getJobIndexInfo()

    - #### getJobId

          public org.apache.hadoop.mapreduce.v2.api.records.JobId getJobId()

    - #### getConfFile

          public org.apache.hadoop.fs.Path getConfFile()

    - #### loadConfFile

          public org.apache.hadoop.conf.Configuration loadConfFile()
                                                            throws IOException

      Throws:
        `IOException`

    - #### waitUntilMoved

          public void waitUntilMoved()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.